This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 223197 - compiz fails to load fedora-logo
compiz fails to load fedora-logo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-18 06:15 EST by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 18:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2007-01-18 06:15:46 EST
Description of problem:
$cat ~/.xsession-errors
[...]
(process:2453): GLib-WARNING **: GError set over the top of a previous GError or
 uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before 
it's set.
The overwriting error message was: File not found
compiz: Failed to load slide: fedora-logo

(process:2453): GLib-WARNING **: GError set over the top of a previous GError or
 uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before 
it's set.
The overwriting error message was: File not found
compiz: Failed to load slide: /usr/share/pixmaps/fedora-logo
[...]

Version-Release number of selected component (if applicable):
0.3.6-1.fc7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
fedora-logos-6.0.6-1.fc6
Comment 1 Kristian Høgsberg 2007-01-18 13:01:24 EST
PNG loading was split out into a plugin, and if that's not in your plugin list,
compiz can't load the logo.  Unfortunately, upgrading from an older compiz to
the latest version will likely leave you with a plugin list without the PNG
plugin.  A workaround is to just add it manually.
Comment 2 Philip Haddad 2007-02-19 00:11:55 EST
I also have this problem, when disabling then reenabling the xgl effects. In
addition, the spin rate of the desktop cube seems faster, and the window frames
are sometimes unresponsive. 
Comment 3 Kristian Høgsberg 2007-08-15 18:42:51 EDT
Closing this bug now, the PNG plugin is back in the default list.  As a workaround:

  gconftool-2 --unset /apps/compiz/general/allscreens/options/active_plugins

resets the plugin list back to the default.

Note You need to log in before you can comment on or make changes to this bug.